dpkg-scanpackages(1)

NAME
dpkg-scanpackages - erstelle Packages-Index-Dateien

ÜBERSICHT
dpkg-scanpackages [Optionen] Binär-Verz [override-Datei [Pfad-Präfix]] > Pakete

BESCHREIBUNG
dpkg-scanpackages schaut durch einen Baum von Debian-Binärpaketen und erstellt eine Packages-Datei, die von apt(8), dselect(1) usw. verwendet wird, um dem Benutzer zu erzählen, welche Pakete zur Installation verfügbar sind. Diese Packages-Dateien sind die gleichen, die auch auf den Debian-Archiv-Sites und CD-ROMs vorliegen. Sie können selbst dpkg-scanpackages verwenden, falls Sie ein Verzeichnis von lokalen Paketen zur Installation auf einem Cluster von Maschinen anlegen.

Hinweis: Falls Sie auf die erzeugte Packages-Datei mit apt zugreifen wollen, werden Sie wahrscheinlich die Datei mit bzip2(1) komprimieren müssen (und damit ein Packages.bz2-Datei erstellen). Apt ignoriert - abgesehen von lokalem Zugriff (d.h. über file://-Quellen) - unkomprimierte Packages-Dateien.

Binär-Verz ist der Name des zu verarbeitenden Baums von Binärpaketen (beispielsweise contrib/binary-i386). Am besten wird dies relativ zur Wurzel des Debian-Archivs erstellt, da jedes Filename-Feld in der neuen Packages-Datei mit dieser Zeichenkette beginnen wird.

override-Datei ist der Name einer einzulesenden Datei, die Informationen darüber enthält, wie das Paket in die Distribution passt (sie kann eine komprimierte Datei sein); siehe deb-override(5).

Pfad-Präfix ist eine optionale Zeichenkette, die vor das Dateinamenfeld gehängt werden soll.

Falls mehr als eine Version eines Paketes gefunden wird, wird nur das neuste in die Ausgabe aufgenommen. Falls sie die gleiche Version haben und sich nur in der Architektur unterscheiden, wird das zuerst gefundene verwendet.

OPTIONEN

-t, --type Typ
    Suche nach *.Typ statt *.deb-Paketen.

-u, --udeb
    Veralteter Alias für -tudeb.

-e, --extra-override Datei
    Durchsuche Datei, um zusätzliche Overrides zu finden (die Datei kann komprimiert sein). Lesen Sie deb-extra-override(5) für weitere Informationen über deren Format.

-a, --arch arch
    Verwende ein Muster, das aus *_all.deb und *_arch.deb besteht, statt nach allen Debs zu suchen,

-m, --multiversion
    Nimm alle gefundenen Pakete in der Ausgabe auf.

-M, --medium ID-Zeichenkette
    Füge ein Feld X-Medium hinzu, das den Wert von ID-Zeichenkette enthält. Dieses Feld wird benötigt, falls Sie die Dateien Packages.cd für den Einsatz mit der Multicd-Zugriffsmethode von Dselect erstellen wollen.

-h, --help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

DIAGNOSE
dpkg-scanpackages gibt die gewöhnlichen selbsterklärenden Fehler aus. Es warnt auch über Pakete, die im falschen Unterverzeichnis sind, doppelt vorkommen, ein Filename-Feld in ihrer Steuerdatei haben, in der Override-Datei fehlen oder für die Betreuer-Substitutionen vorliegen, die keinen Effekt haben.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2009 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.

SIEHE AUCH
dpkg(1), dselect(1), deb-override(5), deb-extra-override(5), dpkg-scansources(1).